# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-09-14 14:03
from __future__ import unicode_literals

from django.db import migrations

def add_vmware_uuid_aliases(apps, schema_editor):
    # Don't use any of our convenience methods here, since we're in
    # a historical context.
    Property = apps.get_model("ucs_besplusplus", "Property")
    Resource = apps.get_model("ucs_besplusplus", "Resource")
    for vm in Resource.objects.filter(properties_fwd__predicate_id="type",
            properties_fwd__object_res_id="vmware-vm"):
        for p in vm.properties_fwd.filter(predicate="vmware-instance-uuid"):
            Property.objects.create(subject=vm, predicate_id="alias",
                             object_lit="vmware--" + p.object_lit)

class Migration(migrations.Migration):

    dependencies = [
        ('ucs_besplusplus', '0004_historyrecord_source'),
    ]

    operations = [
        migrations.RunPython(add_vmware_uuid_aliases)
    ]
